Debian Bug report logs - #620023
kcollectd: fails to start if /var/lib/collectd/rrd does not exist

version graph

Package: kcollectd; Maintainer for kcollectd is M G Berberich <berberic@fmi.uni-passau.de>; Source for kcollectd is src:kcollectd.

Reported by: Michael Prokop <mika@debian.org>

Date: Tue, 29 Mar 2011 11:12:06 UTC

Severity: grave

Tags: patch

Found in version kcollectd/0.9-2

Fixed in version kcollectd/0.9-2.1

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, M G Berberich <berberic@fmi.uni-passau.de>:
Bug#620023; Package kcollectd. (Tue, 29 Mar 2011 11:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
New Bug report received and forwarded. Copy sent to M G Berberich <berberic@fmi.uni-passau.de>. (Tue, 29 Mar 2011 11:12:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kcollectd: fails to start if /var/lib/collectd/rrd does not exist
Date: Tue, 29 Mar 2011 12:58:53 +0200
Package: kcollectd
Version: 0.9-2
Severity: grave
Justification: renders package unusable


When installing kcollectd with --no-install-recommends (since I don't want to
use local collectd), kcollectd doesn't even start up.

Stracing resolved:

| open("/var/lib/collectd/rrd", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)

After manually running "sudo mkdir -p /var/lib/collectd/rrd" kcollectd starts.
If kcollectd isn't supported to work without a locally installed collectd then
collectd should be part of depends.

regards,
-mika-




Information forwarded to debian-bugs-dist@lists.debian.org, M G Berberich <berberic@fmi.uni-passau.de>:
Bug#620023; Package kcollectd. (Wed, 24 Aug 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to M G Berberich <berberic@fmi.uni-passau.de>. (Wed, 24 Aug 2011 22:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 620023@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 620023@bugs.debian.org, 624931@bugs.debian.org
Subject: kcollectd: diff for NMU version 0.9-2.1
Date: Thu, 25 Aug 2011 00:37:08 +0200
[Message part 1 (text/plain, inline)]
tags 620023 + patch pending
tags 624931 + patch pending
thanks


Dear maintainer,

I've prepared an NMU for kcollectd (versioned as 0.9-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[kcollectd-0.9-2.1-nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending and patch. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Wed, 24 Aug 2011 22:39:20 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Fri, 26 Aug 2011 23:06:03 GMT) Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@debian.org>:
Bug acknowledged by developer. (Fri, 26 Aug 2011 23:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 620023-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 620023-close@bugs.debian.org
Subject: Bug#620023: fixed in kcollectd 0.9-2.1
Date: Fri, 26 Aug 2011 23:02:20 +0000
Source: kcollectd
Source-Version: 0.9-2.1

We believe that the bug you reported is fixed in the latest version of
kcollectd, which is due to be installed in the Debian FTP archive:

kcollectd_0.9-2.1.diff.gz
  to main/k/kcollectd/kcollectd_0.9-2.1.diff.gz
kcollectd_0.9-2.1.dsc
  to main/k/kcollectd/kcollectd_0.9-2.1.dsc
kcollectd_0.9-2.1_amd64.deb
  to main/k/kcollectd/kcollectd_0.9-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620023@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated kcollectd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 25 Aug 2011 00:30:43 +0200
Source: kcollectd
Binary: kcollectd
Architecture: source amd64
Version: 0.9-2.1
Distribution: unstable
Urgency: medium
Maintainer: M G Berberich <berberic@fmi.uni-passau.de>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 kcollectd  - simple collectd graphing frontend for KDE
Closes: 620023 624931
Changes: 
 kcollectd (0.9-2.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * kcollectd/gui.cc, kcollectd/kcollectd.cc:
     - Port to new boost1.46 filesystem API (Closes: #624931)
   * doc/en/index.docbook:
     - Bump doctype version to 4.2 to avoid FTBFS.
   * debian/control:
     - Promote collectd to Depends (Closes: #620023).
Checksums-Sha1: 
 7797465339547a510297c5f03dfd4481b1158c15 1748 kcollectd_0.9-2.1.dsc
 605dc867ff45387084098dd78a1d8b2a8525e878 3803 kcollectd_0.9-2.1.diff.gz
 cf9f435af7fea4c0d4d97e46e71ba25ee1d05ab9 141788 kcollectd_0.9-2.1_amd64.deb
Checksums-Sha256: 
 fb8f6ed21002be0ec96890c1ff56e0bc7631195fe012ee0c32da3e0724b62494 1748 kcollectd_0.9-2.1.dsc
 5e4d021d164142e4bcb3087ae2f478c0a82a0452701f58344a9daede7927940a 3803 kcollectd_0.9-2.1.diff.gz
 f5cc3f83e9c2941ef76b305f2098ed8b1dfb81809eae7ebc062d9c3bf363cbd2 141788 kcollectd_0.9-2.1_amd64.deb
Files: 
 8866425a7d6dbd27ce543bf9f4765c86 1748 utils extra kcollectd_0.9-2.1.dsc
 7dc0a3be745aa5156946fe6c9cec5405 3803 utils extra kcollectd_0.9-2.1.diff.gz
 ad968907ae978e4f6f5ac5f86a69ece7 141788 utils extra kcollectd_0.9-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVX00AAoJEEkIatPr4vMfDLkP/2kGy1Zj7JQlUztM8vqQkAhB
rUDD6Pvg2MeRr0Kie03l2SRnIiFdU7dGC4T9VdLFu9iw9FumK4zM+tUU3Hb7e2Wu
7R7CRQJ1GJt1TycqQKiMoMnbyovhGrXlaUV4G+ndFXf3DfgztWzLqCLC7mYDzRAa
PA8J9COYmXzyhPw0fGiJHH+v+dqNKpcex1ocDQjTtev8VljTwY+C69ZIw/o8zVP3
NET+KbGH5OGQhbMQdxP2xnz4CMgc8GFq7wV67KbKBLvBn8K6dJtjDbSfI+dGTyiO
PnI2SHp71RWs9ANqPoXvF1CBecBFawnjITFC4tL/ee2RVuAEnWXr+G+xtyfhcpqj
F+dxkCb96qtBMpTwUkvjWRYs2MENDJtMxF1PrBPodu494c7WSYzuH/20vob6XRjE
yBIvTQgH10pSQUf7oZH+B0fA5l6FhgkC9bTA+wX3/pDYcaQsV7tZ4/OYh0DsB753
Qqno08pUGo8JHdd/Tp/SW27Wla1Aw7nMyWxFyawGA5mQ5mVHBSLGqbKXmA1FUgmI
Y5EvNmr1kIxzTAU2fjZ8yLW5vxFoFMwvdruHB2tx9r+SRApUwpMVlzrA2ylmcUEL
vnBGj5fgBiYcxDD3ZfpG4BbBn1GryzEgkrTf9gheZlzn3HUurBnRvHPPmNpjpJz+
CsXt9yF+79oLnocfOyjb
=XFRQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jun 2013 07:28:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:58:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.